Subject: bug#22975: 25.0.92; CANNOT_DUMP build can't start in tty mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 15 Mar 2016 14:29:29 -0400

> OK, I see.  So now it's crystal clear that bidi-display-reordering
> should be bound to nil until loadup finishes, otherwise we are
> playing with fire.

Actually, I think this problem goes much further.  Maybe we're lucky
right now and we don't hit any other such cases, but we just shouldn't
try to do any "terminal" output until loadup is loaded.

IOW, we should work hard to minimize the difference between what happens
in the CANNOT_DUMP case and in the normal case.

More specifically I think that the "temacs -nw" case should start with
a dummy terminal and only switch to the termcap terminal after loadup
is loaded.

        Stefan